# ``twisted`.`application`.`runner`.`_exit`.`Status``

class documentation

`class Status: (source)`

View In Hierarchy

Object to hang `EX_*` values off of as a substitute for `posix`.

Constant | `EX__BASE` | Undocumented
Constant | `EX_CANTCREAT` | Undocumented
Constant | `EX_CONFIG` | Undocumented
Constant | `EX_DATAERR` | Undocumented
Constant | `EX_IOERR` | Undocumented
Constant | `EX_NOHOST` | Undocumented
Constant | `EX_NOINPUT` | Undocumented
Constant | `EX_NOPERM` | Undocumented
Constant | `EX_NOUSER` | Undocumented
Constant | `EX_OK` | Undocumented
Constant | `EX_OSERR` | Undocumented
Constant | `EX_OSFILE` | Undocumented
Constant | `EX_PROTOCOL` | Undocumented
Constant | `EX_SOFTWARE` | Undocumented
Constant | `EX_TEMPFAIL` | Undocumented
Constant | `EX_UNAVAILABLE` | Undocumented

EX__BASE: `int` = (source)

Undocumented

Value

    64

EX_CANTCREAT = (source)

Undocumented

Value

    EX__BASE+9

EX_CONFIG = (source)

Undocumented

Value

    EX__BASE+14

EX_DATAERR = (source)

Undocumented

Value

    EX__BASE+1

EX_IOERR = (source)

Undocumented

Value

    EX__BASE+10

EX_NOHOST = (source)

Undocumented

Value

    EX__BASE+4

EX_NOINPUT = (source)

Undocumented

Value

    EX__BASE+2

EX_NOPERM = (source)

Undocumented

Value

    EX__BASE+13

EX_NOUSER = (source)

Undocumented

Value

    EX__BASE+3

EX_OK: `int` = (source)

Undocumented

Value

    0

EX_OSERR = (source)

Undocumented

Value

    EX__BASE+7

EX_OSFILE = (source)

Undocumented

Value

    EX__BASE+8

EX_PROTOCOL = (source)

Undocumented

Value

    EX__BASE+12

EX_SOFTWARE = (source)

Undocumented

Value

    EX__BASE+6

EX_TEMPFAIL = (source)

Undocumented

Value

    EX__BASE+11

EX_UNAVAILABLE = (source)

Undocumented

Value

    EX__BASE+5